curl --request DELETE \
--url https://api.dots.dev/api/v2/payout-links/{payout_link_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dots.dev/api/v2/payout-links/{payout_link_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dots.dev/api/v2/payout-links/{payout_link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dots.dev/api/v2/payout-links/{payout_link_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dots.dev/api/v2/payout-links/{payout_link_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.dots.dev/api/v2/payout-links/{payout_link_id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dots.dev/api/v2/payout-links/{payout_link_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"link": "<string>",
"amount": 123,
"status": "sent",
"payee": {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"country_code": "<string>",
"phone_number": "<string>"
},
"delivery": {
"method": "link",
"email": "jsmith@example.com",
"country_code": "<string>",
"phone_number": "<string>"
},
"tax_exempt": true,
"claimed_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": "<string>"
}Cancel a Payout Link by ID
Cancel a payout link
curl --request DELETE \
--url https://api.dots.dev/api/v2/payout-links/{payout_link_id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.dots.dev/api/v2/payout-links/{payout_link_id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.dots.dev/api/v2/payout-links/{payout_link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dots.dev/api/v2/payout-links/{payout_link_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dots.dev/api/v2/payout-links/{payout_link_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.dots.dev/api/v2/payout-links/{payout_link_id}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dots.dev/api/v2/payout-links/{payout_link_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"link": "<string>",
"amount": 123,
"status": "sent",
"payee": {
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"country_code": "<string>",
"phone_number": "<string>"
},
"delivery": {
"method": "link",
"email": "jsmith@example.com",
"country_code": "<string>",
"phone_number": "<string>"
},
"tax_exempt": true,
"claimed_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Id of the payout link
Response
OK
The payout-link object.
ID of the payout-link.
Date the payout-link was created.
URL to access the payout-link.
The amount to pay in cents.
Status of the payout-link.
sent, claimed, delivery_pending, delivery_failed, delivered, canceled Information about the payee. It is used to pre-fill information.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Transfers marked as tax_exempt will not be counted towards the 1099 threshold.
ID of the user that has claimed the payout-link.
ID of the payout flow UI that is sent to the user.
Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.
Was this page helpful?